<script setup>
const i18n = useI18n();
const locale = i18n.locale._value;

const props = defineProps({
  event: {
    type: Object,
    required: true,
  },
});

const event = {
  ...props.event,
  date: new Date(props.event.date),
  title: props.event.messages[locale].title,
  body: props.event.messages[locale].body,
};

const eventsClass = {
  event: 'bg-las-orange dark:bg-las-d-orange',
  info: 'bg-las-green dark:bg-las-d-green',
  topic: 'bg-las-pink dark:bg-las-d-pink',
};
</script>

<template>
  <div
    v-if="!event.link"
    :class="[
      'flex',
      'flex-col',
      'p-4',
      'rounded-lg',
      'shadow',
      'text-white',
      eventsClass[event.type],
    ]"
  >
    <h3
      :class="[
        'flex',
        'text-xl',
        'items-center',
        'justify-end',
        'font-cream',
        'uppercase',
        'mb-8',
      ]"
    >
      {{ event.title }}
    </h3>

    <p class="mb-8 flex-1">{{ event.body }}</p>

    <p class="text-center align-text-bottom">
      {{ event.date.toLocaleDateString(locale) }}
    </p>
  </div>

  <NuxtLink
    v-else
    :to="event.link"
    :class="[
      'flex',
      'flex-col',
      'p-4',
      'rounded-lg',
      'shadow',
      'text-white',
      'hover:opacity-80',
      'active:opacity-70',
      eventsClass[event.type],
    ]"
  >
    <h3
      :class="[
        'flex',
        'text-xl',
        'items-center',
        'justify-between',
        'font-cream',
        'uppercase',
        'mb-8',
      ]"
    >
      <IconsLink /> {{ event.title }}
    </h3>

    <p class="mb-8 flex-1">{{ event.body }}</p>

    <p class="text-center align-text-bottom">
      {{ event.date.toLocaleDateString(locale) }}
    </p>
  </NuxtLink>
</template>
